#version 330 core

// inputz
in vec2 UV;
uniform sampler2D iChannel0;

// outputz
out vec4 fragColor;

void main(){
    vec2 uv = UV;
    fragColor = (texture(iChannel0, uv));
    vec4 temp = fragColor;
    //temp.rgb *= vec3(.04,0.09,1)*3.0;
    fragColor =  pow(smoothstep(-0.025, 9.0,temp), vec4(0.4545));
}
